Module com.io7m.jtensors.orthonormalization
Package com.io7m.jtensors.orthonormalization

## Class POrthonormalization

- java.lang.Object
- - com.io7m.jtensors.orthonormalization.POrthonormalization

-     public final class POrthonormalization
      extends Object

  Functions to orthonormalize sets of vectors.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> POrthonormalized3D<T>` | `orthonormalize3D​(PVector3D<T> v0, PVector3D<T> v1, PVector3D<T> v2)` | Orthonormalize the given vectors.
    `static <T> POrthonormalized4D<T>` | `orthonormalize4D​(PVector4D<T> v0, PVector4D<T> v1, PVector4D<T> v2)` | Orthonormalize the given vectors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### orthonormalize3D

          public static <T> POrthonormalized3D<T> orthonormalize3D​(PVector3D<T> v0,
                                                                   PVector3D<T> v1,
                                                                   PVector3D<T> v2)

      Orthonormalize the given vectors.
      Type Parameters:
        `T` - A phantom type parameter
      Parameters:
        `v0` - Vector 0
        `v1` - Vector 1
        `v2` - Vector 2
      Returns:
        The set of vectors, orthonormalized

    - #### orthonormalize4D

          public static <T> POrthonormalized4D<T> orthonormalize4D​(PVector4D<T> v0,
                                                                   PVector4D<T> v1,
                                                                   PVector4D<T> v2)

      Orthonormalize the given vectors.
      Type Parameters:
        `T` - A phantom type parameter
      Parameters:
        `v0` - Vector 0
        `v1` - Vector 1
        `v2` - Vector 2
      Returns:
        The set of vectors, orthonormalized

Copyright © 2017 <code@io7m.com> http://io7m.com